Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::concepts::Same Struct Reference
Utility » Concepts

## Instances and minimal complete definitions
struct | same
struct | same< T, Us... >

## Public Types
template<typename ... Ts>
using | same_t = meta::_t< same< Ts... > >

## Public Member Functions
template<typename ... Ts>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_true(same_t< Ts... >